#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 KDE calendar access library
Name:           kcalendarcore
Epoch:          1
Version: 6.8.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz
# Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)

BuildRequires:  pkgconfig(libical)
BuildRequires:  boost-devel
BuildRequires:  bison

%description
KDE Frameworks 6 Tier 1 KDE calendar access library.

%files
%_kf6_categoriesdir/kcalendarcore.categories
%_kf6_categoriesdir/kcalendarcore.renamecategories
%_kf6_qmldir/org/kde/calendarcore/

#--------------------------------------------------------------------

%define kf6calendarcore_major 6
%define libkf6calendarcore %mklibname kf6calendarcore %{kf6calendarcore_major}

%package -n %libkf6calendarcore
Summary:      KDE Frameworks 6 Tier 1 KDE calendar access library
Group:        System/Libraries

Requires:     %name >= %{epoch}:%version-%release

%description -n %libkf6calendarcore
KDE Frameworks 6 Tier 1 KDE calendar access library.

%files -n %libkf6calendarcore
%_kf6_libdir/libKF6CalendarCore.so.%{kf6calendarcore_major}{,.*}
%_kf6_libdir/libKF6CalendarCore.so.%{version}

#--------------------------------------------------------------------

%define kf6calendarcore_devel %mklibname kf6calendarcore -d

%package -n %kf6calendarcore_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6calendarcore = %{epoch}:%version-%release
Provides:       %name-devel = %{epoch}:%{version}-%{release}

%description -n %kf6calendarcore_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6calendarcore_devel
%_kf6_includedir/KCalendarCore/
%_kf6_libdir/libKF6CalendarCore.so
%_kf6_libdir/cmake/KF6CalendarCore/
%_kf6_libdir/pkgconfig/KF6CalendarCore.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install


%changelog
* Sat Nov 09 2024 daviddavid <daviddavid> 1:6.8.0-1.mga10
+ Revision: 2113060
- New version 6.8.0

* Fri Oct 11 2024 daviddavid <daviddavid> 1:6.7.0-1.mga10
+ Revision: 2104733
- New version 6.7.0

* Sat Sep 14 2024 daviddavid <daviddavid> 1:6.6.0-1.mga10
+ Revision: 2095904
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 1:6.5.0-1.mga10
+ Revision: 2084605
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 1:6.3.0-1.mga10
+ Revision: 2070518
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 1:6.2.0-1.mga10
+ Revision: 2063374
- New version 6.2.0

* Sun Apr 14 2024 daviddavid <daviddavid> 1:6.1.0-1.mga10
+ Revision: 2057156
- New version 6.1.0

* Sun Mar 24 2024 daviddavid <daviddavid> 1:6.0.0-2.mga10
+ Revision: 2051666
- backport upstream patch to log details about duplicate events before asserting (mga#32081)

* Wed Feb 28 2024 neoclust <neoclust> 1:6.0.0-1.mga10
+ Revision: 2044906
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 1:5.249.0-1.mga10
+ Revision: 2037466
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 1:5.248.0-1.mga10
+ Revision: 2029558
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 1:5.247.0-1.mga10
+ Revision: 2025594
- New version 5.247.0
- New version 5.246.0

* Fri Nov 10 2023 neoclust <neoclust> 1:5.245.0-1.mga10
+ Revision: 2005850
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 1:5.111.0-1.mga10
+ Revision: 1998944
- New version 5.111.0

* Sat Sep 16 2023 daviddavid <daviddavid> 1:5.110.0-1.mga10
+ Revision: 1987336
- New version 5.110.0
- remove previous commit as macro '-DEGPF_LIB_INSTALL_DIR=%%{_lib}' was
  added in macros.kf5

* Tue Apr 18 2023 daviddavid <daviddavid> 1:5.105.0-2.mga9
+ Revision: 1953538
- set explicitly 'EGPF_LIB_INSTALL_DIR=%%{_lib}' to fix libdir path in pkgconfig
  file because our 'LIB_INSTALL_DIR' cmake macro default to %%{_libdir}

* Mon Apr 10 2023 neoclust <neoclust> 1:5.105.0-1.mga9
+ Revision: 1952018
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 1:5.104.0-1.mga9
+ Revision: 1947827
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 1:5.103.0-1.mga9
+ Revision: 1941332
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 1:5.102.0-1.mga9
+ Revision: 1934983
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 1:5.101.0-1.mga9
+ Revision: 1922228
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 1:5.100.0-1.mga9
+ Revision: 1911598
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 1:5.99.0-1.mga9
+ Revision: 1900202
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 1:5.98.0-1.mga9
+ Revision: 1887637
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 1:5.97.0-1.mga9
+ Revision: 1880585
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 1:5.96.0-1.mga9
+ Revision: 1871684
- New version 5.96.0
- New version 5.93.0

* Sat Apr 09 2022 neoclust <neoclust> 1:5.92.0-2.mga9
+ Revision: 1848438
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Nov 17 2021 neoclust <neoclust> 1:5.88.0-1.mga9
+ Revision: 1757491
- New version 5.88.0
- New version 5.87.0
- New version 5.86.0
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 1:5.82.0-1.mga9
+ Revision: 1723436
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 1:5.81.0-1.mga9
+ Revision: 1714832
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 1:5.80.0-1.mga9
+ Revision: 1702010
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 1:5.79.0-1.mga9
+ Revision: 1691101
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 1:5.76.0-1.mga8
+ Revision: 1653315
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 1:5.75.0-1.mga8
+ Revision: 1633169
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 1:5.74.0-1.mga8
+ Revision: 1625584
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 1:5.73.0-1.mga8
+ Revision: 1612300
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 1:5.72.0-1.mga8
+ Revision: 1603074
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 1:5.71.0-1.mga8
+ Revision: 1592768
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 1:5.70.0-1.mga8
+ Revision: 1581994
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 1:5.69.0-1.mga8
+ Revision: 1566485
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 1:5.68.0-1.mga8
+ Revision: 1556661
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 1:5.67.0-2.mga8
+ Revision: 1546737
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 1:5.67.0-1.mga8
+ Revision: 1486799
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 1:5.65.0-1.mga8
+ Revision: 1466209
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 1:5.64.0-1.mga8
+ Revision: 1457594
- New version 5.64.0

* Wed Oct 16 2019 daviddavid <daviddavid> 1:5.63.0-2.mga8
+ Revision: 1454031
- add missing epoch

* Sun Oct 13 2019 daviddavid <daviddavid> 1:5.63.0-1.mga8
+ Revision: 1452537
- New version 5.63.0 (now part of KF5 stack)
- rename project to kcalendarcore

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1447146
- New version 19.08.1

* Tue Jul 30 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1425538
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390407
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387611
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1382103
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375544
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365526
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356462
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339474
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332705
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327359
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1298451
- Mageia 7 Mass Rebuild

* Thu Jun 28 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1240423
- New version 18.04.1

* Sat Apr 07 2018 kekepower <kekepower> 17.12.2-2.mga7
+ Revision: 1215950
- Rebuild for new libical

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201855
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194878
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186416
- New version 17.12.0

* Thu Aug 24 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1144695
- New version 17.08.0

* Mon Aug 07 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1138482
- New version 17.07.90

* Wed Aug 02 2017 pterjan <pterjan> 17.04.3-3.mga7
+ Revision: 1134017
- Disable find_lang as there seems to be no translations
- Fix for new find_lang
- Fix for new find_lang

* Sun Jul 16 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1123703
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090035
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076771
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071983
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067301
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061360
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050627
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047259
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040022
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012512
- New version 16.04.1

* Sat Apr 23 2016 akien <akien> 16.04.0-3.mga6
+ Revision: 1005556
- Make the previous Conflicts an Obsoletes, better suited

* Sat Apr 23 2016 akien <akien> 16.04.0-2.mga6
+ Revision: 1005551
- Add conflicts against %%{_lib}kf5calendarcore4 which contained libKF5CalendarCore.so.5

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004302
- New version 16.04.0

* Mon Mar 28 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 995829
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991152
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987421
- New version 15.12.2

* Mon Jan 25 2016 luigiwalser <luigiwalser> 15.12.1-2.mga6
+ Revision: 927308
- rebuild for libical

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922590
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911923
- New version 15.12.0

* Sun Nov 29 2015 neoclust <neoclust> 15.11.80-2.mga6
+ Revision: 906988
- Rebuild for ARM

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905381
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901117
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890593
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880410
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865928
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863941
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861741
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-2.mga6
+ Revision: 858449
- Fix lib name

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858417
- imported package kcalcore

